geowallet
  1. Create a Transaction
geowallet
  • Overview
  • Authentication
  • APIs
    • Ledger Balance
      • Get Balance of all ledgers
      • Get Balance for a single currency
    • Create a Quotation
      • quotations
    • Create a Transaction
      • Transaction
        POST
    • Transaction Query
      • Transaction Query
    • Transaction Status Webhook
  • Business Transaction API
    • Business to Business (B2B)
      • Transaction
    • Business to Person (B2P)
      • Transaction
    • B2P to mobile wallet
      • Transaction
    • Person to Business (P2B)
      • Transaction
    • Request parameter list
  • Response Codes & Messages
    • Generic Response
    • Beneficiary Validation Responses
    • Quote Response
    • Remit Response
  • Purpose, Source of Funds, and Relationship
    • P2P Purpose for Transaction
    • P2P Source of Funds
    • P2P Relationship
    • Person to Business
    • Business to Person
    • Business to Business
  • Country Specific Parameters list
  • Country Specific Recipient Documents
  • GeoSwift Verify (GSV)
  • About Us
  1. Create a Transaction

Transaction

Developing
POST
/api/v1/transactions

Request

Body Params application/jsonRequired

Example
{
  "amount": "150000.75",
  "currency": "NGN",
  "type": "p2p",
  "descriptionText": "Birthday gift for my brother",
  "requestDate": "2026-03-02T18:45:20.000Z",
  "transactionReference": "GSWIFT_P2P_FR_NG_260302184520",
  "debitParty": [
    {
      "key": "msisdn",
      "value": "+33612345678"
    }
  ],
  "creditParty": [
    {
      "key": "bankaccountno",
      "value": "0638765432"
    },
    {
      "key": "sortcode",
      "value": "044"
    },
    {
      "key": "organisationid",
      "value": "Access Bank Nigeria"
    },
    {
      "key": "banksubcode",
      "value": "044150019"
    }
  ],
  "senderKyc": {
    "nationality": "FR",
    "dateOfBirth": "1989-03-17",
    "countryOfBirth": "FR",
    "gender": "M",
    "idDocument": [
      {
        "idType": "passport",
        "idNumber": "15FRA89012",
        "issueDate": "2020-05-10",
        "expiryDate": "2030-05-09",
        "issuerCountry": "FR"
      }
    ],
    "postalAddress": {
      "addressLine1": "22 Rue de la Paix",
      "addressLine2": "",
      "addressLine3": "Apt 4B",
      "city": "Paris",
      "stateProvince": "Île-de-France",
      "postalCode": "75002",
      "country": "FR",
      "cityOfBirth": "Lyon"
    },
    "subjectName": {
      "title": "Mr.",
      "firstName": "Julien",
      "middleName": "Marc",
      "lastName": "Dubois",
      "fullName": "Julien Marc Dubois"
    }
  },
  "recipientKyc": {
    "nationality": "NG",
    "dateOfBirth": "1992-11-05",
    "emailAddress": "emeka.okonkwo@example.com",
    "countryOfBirth": "NG",
    "idDocument": [
      {
        "idType": "nin",
        "idNumber": "12345678901",
        "issueDate": "2021-02-14",
        "expiryDate": "2031-02-14",
        "issuerCountry": "NG"
      }
    ],
    "postalAddress": {
      "addressLine1": "15 Awolowo Road",
      "addressLine2": "Ikoyi",
      "addressLine3": "",
      "city": "Lagos",
      "stateProvince": "Lagos",
      "postalCode": "101231",
      "country": "NG",
      "cityOfBirth": "Enugu"
    },
    "subjectName": {
      "firstName": "Emeka",
      "lastName": "Okonkwo",
      "fullName": "Emeka Chinedu Okonkwo"
    }
  },
  "internationalTransferInformation": {
    "quoteId": "GSQT260302184520P2P",
    "receivingCountry": "NG",
    "remittancePurpose": "Gift",
    "sourceOfFunds": "Salary",
    "relationshipSender": "Brother"
  }
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'http://prod-cn.your-api-server.com/api/v1/transactions' \
--header 'Content-Type: application/json' \
--data-raw '{
  "amount": "150000.75",
  "currency": "NGN",
  "type": "p2p",
  "descriptionText": "Birthday gift for my brother",
  "requestDate": "2026-03-02T18:45:20.000Z",
  "transactionReference": "GSWIFT_P2P_FR_NG_260302184520",
  "debitParty": [
    {
      "key": "msisdn",
      "value": "+33612345678"
    }
  ],
  "creditParty": [
    {
      "key": "bankaccountno",
      "value": "0638765432"
    },
    {
      "key": "sortcode",
      "value": "044"
    },
    {
      "key": "organisationid",
      "value": "Access Bank Nigeria"
    },
    {
      "key": "banksubcode",
      "value": "044150019"
    }
  ],
  "senderKyc": {
    "nationality": "FR",
    "dateOfBirth": "1989-03-17",
    "countryOfBirth": "FR",
    "gender": "M",
    "idDocument": [
      {
        "idType": "passport",
        "idNumber": "15FRA89012",
        "issueDate": "2020-05-10",
        "expiryDate": "2030-05-09",
        "issuerCountry": "FR"
      }
    ],
    "postalAddress": {
      "addressLine1": "22 Rue de la Paix",
      "addressLine2": "",
      "addressLine3": "Apt 4B",
      "city": "Paris",
      "stateProvince": "Île-de-France",
      "postalCode": "75002",
      "country": "FR",
      "cityOfBirth": "Lyon"
    },
    "subjectName": {
      "title": "Mr.",
      "firstName": "Julien",
      "middleName": "Marc",
      "lastName": "Dubois",
      "fullName": "Julien Marc Dubois"
    }
  },
  "recipientKyc": {
    "nationality": "NG",
    "dateOfBirth": "1992-11-05",
    "emailAddress": "emeka.okonkwo@example.com",
    "countryOfBirth": "NG",
    "idDocument": [
      {
        "idType": "nin",
        "idNumber": "12345678901",
        "issueDate": "2021-02-14",
        "expiryDate": "2031-02-14",
        "issuerCountry": "NG"
      }
    ],
    "postalAddress": {
      "addressLine1": "15 Awolowo Road",
      "addressLine2": "Ikoyi",
      "addressLine3": "",
      "city": "Lagos",
      "stateProvince": "Lagos",
      "postalCode": "101231",
      "country": "NG",
      "cityOfBirth": "Enugu"
    },
    "subjectName": {
      "firstName": "Emeka",
      "lastName": "Okonkwo",
      "fullName": "Emeka Chinedu Okonkwo"
    }
  },
  "internationalTransferInformation": {
    "quoteId": "GSQT260302184520P2P",
    "receivingCountry": "NG",
    "remittancePurpose": "Gift",
    "sourceOfFunds": "Salary",
    "relationshipSender": "Brother"
  }
}'

Responses

🟢200Success
application/json
Body

Example
{
    "amount": "1500.50",
    "currency": "KES",
    "type": "p2p",
    "requestDate": "2026-03-02T17:25:43.000Z",
    "requestingOrganisationTransactionReference": "GSWIFT_TXN_9876543210",
    "debitParty": [
        {
            "key": "msisdn",
            "value": "+254712345678"
        }
    ],
    "creditParty": [
        {
            "key": "msisdn",
            "value": "+254787654321"
        }
    ],
    "transactionStatus": "ACKNOWLEDGED",
    "transactionReference": "GS26030217254300123"
}
Modified at 2026-03-12 10:41:51
Previous
Create a Transaction
Next
Transaction Query
Built with